org.eclipse.wst.jsdt.ui.search

## Class ElementQuerySpecification

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.search.QuerySpecification
  - - org.eclipse.wst.jsdt.ui.search.ElementQuerySpecification

    public class ElementQuerySpecification
    extends QuerySpecification

Describes a search query by giving the `IJavaScriptElement` to search for.

This class is not intended to be instantiated or subclassed by clients.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Constructor Summary

Constructors
Constructor and Description
`ElementQuerySpecification(IJavaScriptElement javaElement, int limitTo, IJavaScriptSearchScope scope, java.lang.String scopeDescription)` A constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IJavaScriptElement` `getElement()` Returns the element to search for.

### Methods inherited from class org.eclipse.wst.jsdt.ui.search.QuerySpecification

`getLimitTo, getScope, getScopeDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElementQuerySpecification

    public ElementQuerySpecification(IJavaScriptElement javaElement,
                                     int limitTo,
                                     IJavaScriptSearchScope scope,
                                     java.lang.String scopeDescription)

A constructor.

Parameters:
  `javaElement` - The JavaScript element the query should search for.
  `limitTo` - The kind of occurrence the query should search for.
  `scope` - The scope to search in.
  `scopeDescription` - A human readable description of the search scope.

### Method Detail

#### getElement

    public IJavaScriptElement getElement()

Returns the element to search for.

Returns:
  The element to search for.